Package: org.gradle.tooling.model

## [Java] Interface HierarchicalElement

- org.gradle.tooling.model.Element

- All Superinterfaces:
    Model, Element

  Represents an element which belongs to some hierarchy.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends HierarchicalElement>` | `getChildren()` Returns the child elements, or the empty set if there are no child elements.
    `HierarchicalElement` | `getParent()` Returns the parent of this element, or `null` if there is no parent.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Element` | `getDescription, getName`

- - ### Method Detail

    - #### public DomainObjectSet<? extends HierarchicalElement> getChildren()

      Returns the child elements, or the empty set if there are no child elements.

      Returns:
        The child elements, or the empty set if there are no child elements.
      Since:
        1.0-milestone-5

    - #### @Nullable public HierarchicalElement getParent()

      Returns the parent of this element, or `null` if there is no parent.

      Returns:
        The parent of this element, or `null` if there is no parent.
      Since:
        1.0-milestone-5